org.eclipse.actf.visualization.eval

## Class EvaluationResultImpl

- java.lang.Object
- - org.eclipse.actf.visualization.eval.EvaluationResultImpl

All Implemented Interfaces:
  IACTFReport, IEvaluationResult

Direct Known Subclasses:
  EvaluationResultBlind

    public class EvaluationResultImpl
    extends Object
    implements IEvaluationResult

Default implementation of `IEvaluationResult`

### Constructor Summary

Constructors
Constructor and Description
`EvaluationResultImpl()`

### Method Summary

Methods
`void` `accept(IProblemItemVisitor visitor)` Accept `IProblemItemVisitor`.
`boolean` `addAssociateFile(File target)` Add File to evaluation result for future use
`void` `addProblemItems(Collection<IProblemItem> c)` Add problem items into current list
`void` `addProblemItems(IProblemItem[] items)` Add problem items into current list
`File[]` `getAssociateFiles()` Get associated `File`
`LineStyleListener` `getLineStyleListener()` Get `LineStyleListener` to be used to determine style of evaluation summary.
`List<IProblemItem>` `getProblemList()` Get current problem item list
`File` `getSourceFile()` Get evaluation target (source) as File
`String` `getSummaryReportText()` Get summary text of evaluation
`String` `getSummaryReportUrl()` Get URL of summary report file
`String` `getTargetUrl()` Get URL of evaluation target
`boolean` `isShowAllGuidelineItems()` Check if non-selected guideline item will be shown in the result view
`boolean` `removeAssociatedFile(File target)` Remove File from evaluation result
`void` `setLineStyleListener(LineStyleListener lsl)` Set `LineStyleListener` to be used to determine style of evaluation summary.
`void` `setProblemList(List<IProblemItem> problemList)` Set detected problem item list
`void` `setShowAllGuidelineItems(boolean b)` Set flag to show non-selected guideline item in the result view
`void` `setSourceFile(File sourceFile)` Set evaluation target (source) as File
`void` `setSummaryReportText(String summaryReportText)` Set summary text of evaluation
`void` `setSummaryReportUrl(String reportUrl)` Set URL of summary report file
`void` `setTargetUrl(String targetUrl)` Set URL of evaluation target

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EvaluationResultImpl

    public EvaluationResultImpl()

### Method Detail

#### setProblemList

    public void setProblemList(List<IProblemItem> problemList)

Description copied from interface: `IEvaluationResult`
Set detected problem item list

Specified by:
  `setProblemList` in interface `IEvaluationResult`
Parameters:
  `problemList` - target problem item list

#### addProblemItems

    public void addProblemItems(Collection<IProblemItem> c)

Description copied from interface: `IEvaluationResult`
Add problem items into current list

Specified by:
  `addProblemItems` in interface `IEvaluationResult`
Parameters:
  `c` - target problem item collection to add

#### addProblemItems

    public void addProblemItems(IProblemItem[] items)

Description copied from interface: `IEvaluationResult`
Add problem items into current list

Specified by:
  `addProblemItems` in interface `IEvaluationResult`
Parameters:
  `items` - target problem item array to add

#### getProblemList

    public List<IProblemItem> getProblemList()

Description copied from interface: `IEvaluationResult`
Get current problem item list

Specified by:
  `getProblemList` in interface `IEvaluationResult`
Returns:
  problem item list

#### setSummaryReportText

    public void setSummaryReportText(String summaryReportText)

Description copied from interface: `IEvaluationResult`
Set summary text of evaluation

Specified by:
  `setSummaryReportText` in interface `IEvaluationResult`
Parameters:
  `summaryReportText` - summary of evaluation

#### getSummaryReportText

    public String getSummaryReportText()

Description copied from interface: `IEvaluationResult`
Get summary text of evaluation

Specified by:
  `getSummaryReportText` in interface `IEvaluationResult`
Returns:
  summary of evaluation

#### getSummaryReportUrl

    public String getSummaryReportUrl()

Description copied from interface: `IEvaluationResult`
Get URL of summary report file

Specified by:
  `getSummaryReportUrl` in interface `IEvaluationResult`
Returns:
  URL of summary report

#### setSummaryReportUrl

    public void setSummaryReportUrl(String reportUrl)

Description copied from interface: `IEvaluationResult`
Set URL of summary report file

Specified by:
  `setSummaryReportUrl` in interface `IEvaluationResult`
Parameters:
  `reportUrl` - URL of summary report

#### accept

    public void accept(IProblemItemVisitor visitor)

Description copied from interface: `IEvaluationResult`
Accept `IProblemItemVisitor`. This method can be used to export problem list, filter some problem items, etc.

Specified by:
  `accept` in interface `IEvaluationResult`
Parameters:
  `visitor` - target `IProblemItemVisitor` to accept

#### getTargetUrl

    public String getTargetUrl()

Description copied from interface: `IEvaluationResult`
Get URL of evaluation target

Specified by:
  `getTargetUrl` in interface `IEvaluationResult`
Returns:
  URL of evaluation target

#### setTargetUrl

    public void setTargetUrl(String targetUrl)

Description copied from interface: `IEvaluationResult`
Set URL of evaluation target

Specified by:
  `setTargetUrl` in interface `IEvaluationResult`
Parameters:
  `targetUrl` - URL of evaluation target

#### getSourceFile

    public File getSourceFile()

Description copied from interface: `IEvaluationResult`
Get evaluation target (source) as File

Specified by:
  `getSourceFile` in interface `IEvaluationResult`
Returns:
  target source `File`

#### setSourceFile

    public void setSourceFile(File sourceFile)

Description copied from interface: `IEvaluationResult`
Set evaluation target (source) as File

Specified by:
  `setSourceFile` in interface `IEvaluationResult`
Parameters:
  `sourceFile` - target source `File`

#### isShowAllGuidelineItems

    public boolean isShowAllGuidelineItems()

Description copied from interface: `IEvaluationResult`
Check if non-selected guideline item will be shown in the result view

Specified by:
  `isShowAllGuidelineItems` in interface `IEvaluationResult`
Returns:
  true if need to show all guideline item

#### setShowAllGuidelineItems

    public void setShowAllGuidelineItems(boolean b)

Description copied from interface: `IEvaluationResult`
Set flag to show non-selected guideline item in the result view

Specified by:
  `setShowAllGuidelineItems` in interface `IEvaluationResult`
Parameters:
  `b` - true to show all guideline item in the result view

#### getLineStyleListener

    public LineStyleListener getLineStyleListener()

Description copied from interface: `IEvaluationResult`
Get `LineStyleListener` to be used to determine style of evaluation summary.

Specified by:
  `getLineStyleListener` in interface `IEvaluationResult`
Returns:
  `LineStyleListener`

#### setLineStyleListener

    public void setLineStyleListener(LineStyleListener lsl)

Description copied from interface: `IEvaluationResult`
Set `LineStyleListener` to be used to determine style of evaluation summary.

Specified by:
  `setLineStyleListener` in interface `IEvaluationResult`
Parameters:
  `lsl` - target `LineStyleListener`

#### addAssociateFile

    public boolean addAssociateFile(File target)

Description copied from interface: `IEvaluationResult`
Add File to evaluation result for future use

Specified by:
  `addAssociateFile` in interface `IEvaluationResult`
Parameters:
  `target` - target File
Returns:
  true, if the target File is successfully added

#### getAssociateFiles

    public File[] getAssociateFiles()

Description copied from interface: `IEvaluationResult`
Get associated `File`

Specified by:
  `getAssociateFiles` in interface `IEvaluationResult`
Returns:
  array of associated `File`

#### removeAssociatedFile

    public boolean removeAssociatedFile(File target)

Description copied from interface: `IEvaluationResult`
Remove File from evaluation result

Specified by:
  `removeAssociatedFile` in interface `IEvaluationResult`
Parameters:
  `target` - target File
Returns:
  true, if the target File is successfully removed